<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
JoinCursor..::.MoveNext Method
JoinCursor Class See Also Send Feedback

Iterate over the values associated with the keys to which each SecondaryCursor passed to Join(array<SecondaryCursor>[]()[], Boolean) was initialized. Any data value that appears in all SecondaryCursors is then used as a key into the primary, and the key/data pair found in the primary is stored in Current.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.30.0

# Syntax

C#

    public bool MoveNext()

Visual Basic (Declaration)

    Public Function MoveNext As Boolean

Visual C++

    public:
    bool MoveNext()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

JoinCursor Class
MoveNext Overload
BerkeleyDB Namespace